<template lang="pug">
	.selectorCategorias
		.caja
			label.etiqueta {{ etiqueta }}
			button( type="button" ): v-icon(name="chevron-down")
		.menu
			opcionCategoria( v-for="categoria in categorias", :key="categoria.id", :categoria="categoria", @activar="seleccionar" )

</template>


<script>
import opcionCategoria from "@/components/opcionCategoria"

import { mapState } from 'vuex'

export default {
	name:"SelectorCategorias",
	components:{
		opcionCategoria
	},
	data(){
		return {
			etiqueta:"valor"
		}
	},
	computed:{
		...mapState([
			"categorias"
		])
	},
	methods:{
		seleccionar( categoria ){
			console.log( "seleccionar" );
			this.etiqueta = categoria.nombre;
			this.valor = categoria.id;
		}
	}
}
</script>

<style lang="stylus" scoped>
@import '~nib/index'
@import "../stylus/base/utiles.styl"

.selectorCategorias
	position relative
	display block
	width 100%

.menu
	absolute top 100 left right
	background-color tint( azul, 80% )


</style>

